Bug 1024160 - Software error happened when opening a cert on partner-hwcert.redhat.com
Software error happened when opening a cert on partner-hwcert.redhat.com
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5.1
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: hwcert-catalog
:
Depends On:
Blocks: 1024158
  Show dependency treegraph
 
Reported: 2013-10-28 22:59 EDT by Huan Zhang
Modified: 2014-06-18 03:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 01:24:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huan Zhang 2013-10-28 22:59:50 EDT
When opening an old/new cert, a software error was thrown and said:

"""
Software error:

DBD::mysql::st execute failed: Unknown column 'component_id' in 'field list' [for Statement "SELECT id, name, description, component_id, location, bits32, bits64, 
	    required_32bits, required_64bits, leverage, result_32bits, result_64bits, selected_by_32bits, selected_by_64bits, confirmed_by_32bits, confirmed_by_64bits, leverage_comp_32bits, leverage_comp_64bits FROM testplan_desc 
		WHERE cert_id = 11605 ORDER BY component_id, description, name, id"] at Bugzilla/Bug.pm line 594
	Bugzilla::Bug::initBug('Bugzilla::Bug=HASH(0x1d5b4a20)', 945409, 309230) called at Bugzilla/Bug.pm line 107
	Bugzilla::Bug::new('Bugzilla::Bug', 945409, 309230) called at /var/www/html/hwcert/show.cgi line 90
For help, please send mail to the webmaster (bugzilla-owner@redhat.com), giving this error message and the time and date of the error.
"""

How to reproduce:
Hardware Catalog Home -> search for 3com -> open a cert
Comment 1 Huan Zhang 2013-10-29 01:24:49 EDT
tfu has fixed this, thanks for his efforts.

This is verified this on partner.

Note You need to log in before you can comment on or make changes to this bug.